$(document).ready(function(){

	setDisplay = [ null, null];
	
	(function( $ ) {
		$.fn.displayNone = function(option){

			$(this).each(function(){
				idDisplay = this.id;
			})
			
			var defaults = $.extend({
				disDefault : 'normal', //--normal or none
				title : 'Form',
			})
			
			setDisplay[idDisplay] = $.extend({}, defaults, option);
			displayId = 'apankDisplay'+idDisplay;
			
			makeSetDisplayNone(idDisplay, setDisplay[idDisplay]);
			
			$('#'+idDisplay+' span').attr('id', 'displayNone'+idDisplay)
									.attr('class', 'divDisplayNone'+setDisplay[idDisplay]['disDefault'])
									.css('display', setDisplay[idDisplay]['disDefault']);
			
			$('#form_'+idDisplay).live('click',(function(){
			
				id = this.id;
				id = id.split('_');
				idDisplay = id[1];

				if(setDisplay[idDisplay]['disDefault'] == 'none'){
					setDisplay[idDisplay]['disDefault'] = 'normal';
				}else{
					setDisplay[idDisplay]['disDefault'] = 'none';
				}
				
				makeSetDisplayNone(idDisplay, setDisplay[idDisplay]);
			}))
		};
	})( jQuery );
	
	makeSetDisplayNone = function(id, set){
		
		$('#'+id+' legend')
		.html('<a href="#" class="aDisplayNone" id="form_'+id+'">'+set['title']+'</a>')
		.attr('id', id)
		.attr('class', 'popUp'+set['disDefault']);

		if(set['disDefault'] == 'none'){
			$('#displayNone'+id).hide('slow');
		}else{
			$('#displayNone'+id).show('slow');
		}
		
	}
})

